Package org.eclipse.rdf4j.spring.util

## Class QueryResultUtils

- java.lang.Object
- - org.eclipse.rdf4j.spring.util.QueryResultUtils

-     @Experimental
      public class QueryResultUtils
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryResultUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Boolean` | `getBoolean​(BindingSet resultRow, String varName)` |
    `static Boolean` | `getBoolean​(BindingSet resultRow, Variable var)` |
    `static Boolean` | `getBooleanMaybe​(BindingSet resultRow, String varName)` |
    `static Boolean` | `getBooleanMaybe​(BindingSet resultRow, Variable var)` |
    `static Optional<Boolean>` | `getBooleanOptional​(BindingSet resultRow, String varName)` |
    `static Optional<Boolean>` | `getBooleanOptional​(BindingSet resultRow, Variable var)` |
    `static IRI` | `getIRI​(BindingSet resultRow, String varName)` |
    `static IRI` | `getIRI​(BindingSet resultRow, Variable var)` |
    `static IRI` | `getIRIMaybe​(BindingSet resultRow, String varName)` |
    `static IRI` | `getIRIMaybe​(BindingSet resultRow, Variable var)` |
    `static Optional<IRI>` | `getIRIOptional​(BindingSet resultRow, String varName)` |
    `static Optional<IRI>` | `getIRIOptional​(BindingSet resultRow, Variable var)` |
    `static String` | `getString​(BindingSet resultRow, String varName)` |
    `static String` | `getString​(BindingSet resultRow, Variable var)` |
    `static String` | `getStringMaybe​(BindingSet resultRow, String varName)` |
    `static String` | `getStringMaybe​(BindingSet resultRow, Variable var)` |
    `static Optional<String>` | `getStringOptional​(BindingSet resultRow, String varName)` |
    `static Optional<String>` | `getStringOptional​(BindingSet resultRow, Variable var)` |
    `static Value` | `getValue​(BindingSet resultRow, String varName)` |
    `static Value` | `getValue​(BindingSet resultRow, Variable var)` |
    `static Value` | `getValueMaybe​(BindingSet resultRow, String varName)` |
    `static Value` | `getValueMaybe​(BindingSet resultRow, Variable var)` |
    `static Optional<Value>` | `getValueOptional​(BindingSet resultRow, String varName)` |
    `static Optional<Value>` | `getValueOptional​(BindingSet resultRow, Variable var)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResultUtils

          public QueryResultUtils()

  - ### Method Detail

    - #### getValueOptional

          public static Optional<Value> getValueOptional​(BindingSet resultRow,
                                                         String varName)

    - #### getValueOptional

          public static Optional<Value> getValueOptional​(BindingSet resultRow,
                                                         Variable var)

    - #### getValueMaybe

          public static Value getValueMaybe​(BindingSet resultRow,
                                            String varName)

    - #### getValueMaybe

          public static Value getValueMaybe​(BindingSet resultRow,
                                            Variable var)

    - #### getValue

          public static Value getValue​(BindingSet resultRow,
                                       String varName)

    - #### getValue

          public static Value getValue​(BindingSet resultRow,
                                       Variable var)

    - #### getIRI

          public static IRI getIRI​(BindingSet resultRow,
                                   Variable var)

    - #### getIRI

          public static IRI getIRI​(BindingSet resultRow,
                                   String varName)

    - #### getIRIOptional

          public static Optional<IRI> getIRIOptional​(BindingSet resultRow,
                                                     String varName)

    - #### getIRIOptional

          public static Optional<IRI> getIRIOptional​(BindingSet resultRow,
                                                     Variable var)

    - #### getIRIMaybe

          public static IRI getIRIMaybe​(BindingSet resultRow,
                                        String varName)

    - #### getIRIMaybe

          public static IRI getIRIMaybe​(BindingSet resultRow,
                                        Variable var)

    - #### getString

          public static String getString​(BindingSet resultRow,
                                         Variable var)

    - #### getString

          public static String getString​(BindingSet resultRow,
                                         String varName)

    - #### getStringOptional

          public static Optional<String> getStringOptional​(BindingSet resultRow,
                                                           Variable var)

    - #### getStringOptional

          public static Optional<String> getStringOptional​(BindingSet resultRow,
                                                           String varName)

    - #### getStringMaybe

          public static String getStringMaybe​(BindingSet resultRow,
                                              String varName)

    - #### getStringMaybe

          public static String getStringMaybe​(BindingSet resultRow,
                                              Variable var)

    - #### getBoolean

          public static Boolean getBoolean​(BindingSet resultRow,
                                           Variable var)

    - #### getBoolean

          public static Boolean getBoolean​(BindingSet resultRow,
                                           String varName)

    - #### getBooleanOptional

          public static Optional<Boolean> getBooleanOptional​(BindingSet resultRow,
                                                             Variable var)

    - #### getBooleanOptional

          public static Optional<Boolean> getBooleanOptional​(BindingSet resultRow,
                                                             String varName)

    - #### getBooleanMaybe

          public static Boolean getBooleanMaybe​(BindingSet resultRow,
                                                String varName)

    - #### getBooleanMaybe

          public static Boolean getBooleanMaybe​(BindingSet resultRow,
                                                Variable var)